#ifndef MSP_HTTPSERVER_STATUS_H_
#define MSP_HTTPSERVER_STATUS_H_

#include <ostream>

namespace Msp {
namespace Http {

enum Status
{
	NONE = 0,
	OK = 200,
	BAD_REQUEST = 400,
	FORBIDDEN = 403,
	NOT_FOUND = 404,
	INTERNAL_ERROR = 500,
	NOT_IMPLEMENTED = 501
};

extern std::ostream &operator<<(std::ostream &, Status);

} // namespace Http
} // namespace Msp

#endif
