#ifndef MSP_NET_DATAGRAMSOCKET_H_
#define MSP_NET_DATAGRAMSOCKET_H_

#include "clientsocket.h"

namespace Msp {
namespace Net {

class DatagramSocket: public ClientSocket
{
public:
	DatagramSocket(Family, int = 0);

	virtual bool connect(const SockAddr &);
	virtual bool poll_connect(const Time::TimeDelta &) { return false; }

	unsigned sendto(const char *, unsigned, const SockAddr &);
	unsigned recvfrom(char *, unsigned, SockAddr *&);
};

} // namespace Net
} // namespace Msp

#endif
